import { AfterViewInit, ElementRef, EventEmitter, QueryList } from '@angular/core';
import { Dimension } from './dimension';
import { CardStateEvent, OffsetStateEvent, SwingCardComponent } from './swing-card.component';
export declare class SwingStackDirective implements AfterViewInit {
    private elementRef;
    readonly cards: QueryList<SwingCardComponent>;
    readonly cardStateChange: EventEmitter<CardStateEvent>;
    readonly offsetStateChange: EventEmitter<OffsetStateEvent>;
    private dispose;
    constructor(elementRef: ElementRef<HTMLElement>);
    ngAfterViewInit(): void;
    subscribeCardEvents(): void;
    getDimensions(): Dimension;
}
